Subject: Re: bug#10443: [PATCH] Quote 'like this', not `like this'.

From: Stefano Lattarini <[email-masked]>
Date: Fri, 06 Jan 2012 20:31:46 +0100

On 01/06/2012 08:18 PM, Paul Eggert wrote:
> On 01/06/12 11:01, Stefano Lattarini wrote:
>>>> FAIL: lzma.test
>>>> FAIL: tap-summary-color.test
>>>>
>> These are new to me.
>>
>>>> I can send more details if you like.
>>>>
>> Yes please, that would be much appreciated.
> 
> I can't reproduce the lzma failure now; that's weird.
>
This would smell as yet another case of autom4te caching issues, but
since all aclocal calls in lzma.test uses `--force', this can't be case.
(And in light of the explanation below, this is moot now).

> There is a dependency problem, but I don't think that's
> the same problem as it also affects tap-summary-color.
> But after I do an explicit "make defs-static" the lzma.test works.
> Maybe *.test needs to depend on defs-static?
>
But the already do (and after commit `v1.11-1710-ge7de1ef', they do so
in an even "safer" way).

> Anyway, here's the failure output I got first:
> 
> $ VERBOSE=yes make check-TESTS TESTS='lzma tap-summary-color'
>
Ah-ah!  `check-TESTS' is an (admittedly very poorly named) internal target.
Never use that directly.  You want to do so instead:

  VERBOSE=yes make check TESTS='lzma.test tap-summary-color.test'

HTH,
  Stefano